/*
** scan_api.h - written in milano by vesely on 9 jan 2017
** clamav interface for courier-mta global filters
**
** This file is part of avfilter
**
** Copyright (c) 2017 Alessandro Vesely
** All rights reserved. see COPYING
*/
#if ! defined SCAN_API_H_INCLUDED

typedef struct virus_name_list
{
	struct virus_name_list *next;
	char name[1]; // as needed
} virus_name_list;

void free_virus_name_list(virus_name_list *vnl);
int my_scandesc(int desc, virus_name_list **vnl, const struct cl_engine *engine, unsigned int scanoptions);
void init_scan_api(struct cl_engine *clamav, int verbose);


#define SCAN_API_H_INCLUDED
#endif
